/* 

#ff00ff hot pink
#c8ff00 green

*/


@font-face {
    font-family: cityburn, Arial, sans-serif;
    src: url(../font/cityburn-⌐.ttf);
}

.pinklinks a {
    color: #ff00ff
} .pinklinks a:hover {
    color: white;
}
.greenlinks {
    color: #c8ff00;
} .greenlinks:hover {
    color: white;
}

 .pinkmark {
    color: #ff00ff;
    background-color: #ffffff00;
 }

h1, h2 {
    font-family: cityburn;
    margin: auto;
        font-weight: normal;

} h1 {
    font-size: 5rem;
    margin: -40px auto -10px auto;
    transform: scaleY(130%);
    text-align: center;

} h2 {
    line-height: 30px;
} h4 {
    margin: auto auto 20px auto;
    font-size: 3rem;
    text-align: center;
}

 ul li {
    list-style: none;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-image: url("../img/skullbg.png");
    background-size: contain;   
    background-attachment: fixed;
    color: white;
    font-size: clamp(0.2rem, 1rem, 1rem)
}
 
 

footer {
    display: flex;
    flex: row nowrap;
    justify-content: center;
    align-items: center;
    padding: 15px ;
    background-color: #c8ff00;
    color: black;
} footer a {
    font-weight: bold;
    text-decoration: none;
    color: black;
} footer a:hover {
    color:#ff00ff;
}

header {
    margin-bottom: 70px;
}
header div {
 
    margin: 20px auto;
    display: flex;
    align-items:flex-end;
    justify-content: center;
    flex-flow: row wrap;
    gap: 20px;
}

header img {
    transition: transform .2s ease-in-out;
    display: block;
    object-fit: contain;
    max-width:15em;
} header img:hover {
    transform: rotate(2deg);
} #homebtn {
    margin-bottom: -15px;
        max-width: 8em;
} #workbtn {
    max-width:7em;
} #abtbtn {
    max-width:9em;
} #cstbtn {
    max-width:14em;
}
 

header section {
        display: flex;
    flex: row nowrap;
    width: 100%;
    margin: auto;
}
 header section ul, footer ul {
    display: inline;
    margin: auto;
}  
header section ul li, footer ul li {
    display: inline;
    margin-right: 20px;
}  



main {
    justify-content: center;

    display: flex;
    flex: row nowrap;
    gap: 20px;
    margin: auto 20px 50px 20px;
}   
.maincontent{
    display: block;
    margin: 0px auto auto auto;
    width: 40rem;
} 

.maincontent img {
    display: block;
    object-fit: contain;
    width: 40%;
} .maincontent h2 {
    margin: auto;
    font-size: 2.2rem;
    text-align: center;
}  
  .maincontent img {
    margin: 10px auto 50px auto;
}  
  
aside {
 display: block;
 margin: 20px auto 20px auto;
 width: 18rem;
 overflow-wrap: break-word;
 font-size: 1.2rem;
 text-align: justify;
} aside * {
    margin: auto;
}

aside img {
    display: block;
    object-fit: contain;
    height: 8rem;
    align-self: flex-start;
} aside section {
    width: 20rem;
    border: 1px solid #c8ff00;
    padding: 10px;
    margin: 20px 0px 20px 0px;
    color: #c8ff00;
}  
 .asideheader {
        transform: scaleY(150%);
    font-size: 3rem;
    font-weight: normal;
    margin: 5px auto 5px auto;

} 

aside h4 {
    text-align: right;
}
 

.imgbox  {
    display: flex;
    gap: 20px;
    justify-content: center;
    margin: 20px auto 20px auto;
}  .maincontent .imgbox {
    gap: 0px;
    width: 90%;
    margin: 60px auto 0px auto;
} main aside .imgbox {
    width: 60%;
 
} .imgbox img  {
    max-width: 100%;

}

.blinkie {
    width: 100%;
    height: 40px;
} .decor {
    width: 100%;
} .blinkie, .decor {
    margin: 10px auto 10px auto;
}
 




 .left {
    align-self: flex-start;
} .right {
    align-self: flex-end;
 
}




.stampsgrid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    margin: 20px auto 20px auto;
    max-width: 100%;
    gap: 10px;
} .stampsgrid img {
    width: 6rem;
    object-fit: contain;
    margin: 0px;
    height: auto;
}



#abtgif {
    width: 30rem;
    margin: auto 0px -200px auto;
    transform: rotate(15deg);

} #mepic {
    width: 30rem;
    margin: auto;
} #musicpic {
    width: 100%;
    height: auto;
    object-fit: fill;
}


#mobileheader {
    margin: 20px;
}
#mobileheader a   {
    color:#ff00ff;
    
} #mobileheader ul li {
    line-height: 30px;
}  

#mobilelinks {
    display: none;
}





.gallerymain {
    width: 100%;
    display: flex;
 
    justify-content: center;
    margin: auto;
    gap: 20px;
} .gallerypost {
    display: block;
    width: 23%;
 
   
 
} .gallerypost p {
    margin: auto;
}

.gallerypost img {
    width: 100%;
    object-fit: contain;
    margin: auto;
} .gallerypost div {
    padding: 10px;
}





@media only screen and (min-width: 1026px) {
    #mobileheader {
        display: none;
    }
    .mobilemsg {
        display: none;
    }
}


@media only screen and (max-width: 1026px) {
    body {

    background-image: none;
    background-color: black;
 
}
      header, footer, .sitelist {
        display: none;
    }
    main {
        flex-direction: column;
    }
    #aside1 {
        order: 2;
    } #aside2 {
        order: 3;
    }
    h1 {
        transform: scaleY(100%);
        font-size: 2em;
        margin: 15px 5px 5px 5px;
    } 
    .maincontent h2 {
        font-size: 1.5rem;
    }
    
    .maincontent {
        width: 100%;
        order: 1;
    } .maincontent img {
        width: 70%;
    }

    .stampsgrid img {
        width: 80px;
    }
}